Skip to Content
veriom

Get workspace export

Follow an export's progress; `downloadable` turns true once its zip is ready.

GET
/v1/workspaces/{workspace_id}/data-exports/{export_id}

Follow an export's progress; downloadable turns true once its zip is ready.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
export_id*Export Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
completed_at*|null
downloadable*Downloadable
error_code*string|null
expires_at*|

When the archive is deleted; download it before then.

files?

Rows written to each file in the archive.

id*Id
Formatuuid
requested_at*Requested At
Formatdate-time
requested_by*|null
sha256*|

SHA-256 of the zip, to check the download.

size_bytes*integer|null
started_at*|null
status*Status
Value in"queued""running""succeeded""failed""expired"
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/data-exports/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "completed_at": "2019-08-24T14:15:22Z",  "downloadable": true,  "error_code": "string",  "expires_at": "2019-08-24T14:15:22Z",  "files": {    "property1": 0,    "property2": 0  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "requested_at": "2019-08-24T14:15:22Z",  "requested_by": "cda0f200-65cd-4343-aedd-9c936b908826",  "sha256": "string",  "size_bytes": 0,  "started_at": "2019-08-24T14:15:22Z",  "status": "queued",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}